SDL_CreateCondition(3)

NAME
SDL_CreateCondition - Create a condition variable.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Condition * SDL_CreateCondition(void);

RETURN VALUE
( SDL_Condition
 *) Returns a new condition variable or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BroadcastCondition(3), •(3), SDL_SignalCondition(3), •(3), SDL_WaitCondition(3), •(3), SDL_WaitConditionTimeout(3), •(3), SDL_DestroyCondition(3)